package de.htwsaar.webshop.service;

import de.htwsaar.webshop.repository.entities.Image;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.UUID;

public interface ImageService {
    List<Image> getImagesByUUID(UUID uuid);

    Image getImageByUUID(UUID uuid);

    Image getImageById(Long imageId);

    Image save(Image image);

    Image save(UUID uuid, String uri);

    Image save(UUID uuid, MultipartFile file);

    void deleteById(Long imageId);
}
